# Chapter Dues Products

Chapter Dues Products

 - [GET /chapterDuesProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/listchapterduesproducts.md): This method will scan all chapter dues products and and return them to the caller.
 - [POST /chapterDuesProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/createchapterduesproduct.md): This method will auto-generate an ID and create a new chapter dues product. If an ID is specified for the chapter dues product, an error will be thrown.
 - [POST /chapterDuesProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /chapterDuesProducts/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/listproductsbychapterid.md): Returns a list of records with the specified chapter_id
 - [DELETE /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/deletechapterduesproduct.md): This method will delete a chapter dues product with the specified ID.
 - [GET /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/getchapterduesproduct.md): This method will look up a chapter dues product by the specified ID and return it back.
 - [PATCH /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/patchchapterduesproduct.md): This method will patch an existing chapter dues product with the specified ID, using the HTTP PATCH specification.
 - [PUT /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/updatechapterduesproduct.md): This method will update an existing chapter dues product with the specified ID.
